# MS-Connector v1.4.0 Release vom 11.09.2023

Der MS-Connector implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um ausländischen Benutzern eine Anmeldung am österreichischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - Schnittstellenänderungen zur Meldegesetznovelle 2023
      - ERnP Schnittstelle 2.6.0
      - SZR Schnittstelle (übermittelt am 09.10.2023)
      - ZMR Schnittstelle (übermittelt am 10.10.2023)
  - Statistik Logging
      - Zielland als Parameter im simplen CSV Logger ergänzt
      - JSON basierten Logger auf GELF Format mit flacher Hierachie geändert
  - Fehlerhändling optimiert
  - Stabilitätsverbesserungen
  - Aktualisierung von Drittherstellerbibliotheken
    - SpringBoot 2.7.16
    - Spring-Framework 5.3.30
    - Apache CXF 3.5.7
    - joda-time 1.12.5
    - jackson 2.15.2
    - guava 32.1.2-jre
    - commons-io 2.14.0
    - commons-lang3 3.13.0
    - jose4j 0.9.3


### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-specific eIDAS Connectors auf die aktuelle Version 1.4.0. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.3.8 

1. Stoppen Sie die *MS-Connector* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an
2. Entpacken Sie das Releasepacket *ms_specific_connector-1.4.0-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsConnectorPackage__ bezeichnet wird.
3. Kopieren sie die Applikation __MsConnectorPackage__/ms_connector.war nach in das Applikationsverzeichnis ihres Applikationsservers
4. Neue optionale Konfigurationsparameter
   - ```eidas.ms.auth.eIDAS.ernpclient.api.person.add.gender```
5. Angepasster optionale Konfigurationsparameter
   - ```eidas.ms.auth.eIDAS.node_v2.proxyservices.privatesp.notsupported```

